Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(626)

Unified Diff: git_cl/test/hooks.sh

Issue 6665018: Remove support for generic "hook files" in git-cl, require depot_tools (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools
Patch Set: put dcommit hook back in Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« git_cl/git_cl.py ('K') | « git_cl/git_cl.py ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: git_cl/test/hooks.sh
diff --git a/git_cl/test/hooks.sh b/git_cl/test/hooks.sh
index b21ce6d72806e5898b687a4d1bcacde455934fc9..26536d02b02ac3522d30b28b4c203b46a2721f4b 100755
--- a/git_cl/test/hooks.sh
+++ b/git_cl/test/hooks.sh
@@ -10,24 +10,27 @@ set -e
setup_initsvn
setup_gitsvn
+setup_hooks() {
+ upload_retval = shift
+ dcommit_retval = shift
+
+ echo > PRESUBMIT.py <<END
+def CheckChangeOnUpload(input_api, output_api):
+ return $upload_retval
+
+def CheckChangeOnCommit(input_api, output_api):
+ return $dcommit_retval
+END
+}
+
(
set -e
cd git-svn
- # We need a server set up, but we don't use it.
- git config rietveld.server localhost:1
+ # We need a server set up, but we don't use it. git config rietveld.server localhost:1
- # Install a pre-cl-upload hook.
- echo "#!/bin/bash" > .git/hooks/pre-cl-upload
- echo "echo 'sample preupload fail'" >> .git/hooks/pre-cl-upload
- echo "exit 1" >> .git/hooks/pre-cl-upload
- chmod 755 .git/hooks/pre-cl-upload
-
- # Install a pre-cl-dcommit hook.
- echo "#!/bin/bash" > .git/hooks/pre-cl-dcommit
- echo "echo 'sample predcommit fail'" >> .git/hooks/pre-cl-dcommit
- echo "exit 1" >> .git/hooks/pre-cl-dcommit
- chmod 755 .git/hooks/pre-cl-dcommit
+ # Install hooks that will fail on upload and commit
+ setup_hooks 1 1
echo "some work done" >> test
git add test; git commit -q -m "work"
@@ -35,7 +38,7 @@ setup_gitsvn
# Verify git cl upload fails.
test_expect_failure "git-cl upload hook fails" "$GIT_CL upload master"
- # Verify git cl upload fails.
+ # Verify git cl dcommit fails.
test_expect_failure "git-cl dcommit hook fails" "$GIT_CL dcommit master"
)
SUCCESS=$?
« git_cl/git_cl.py ('K') | « git_cl/git_cl.py ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698